tigase.jaxmpp.core.client.xmpp.modules.auth

## Class NonSaslAuthModule.NonSaslAuthStartHandler.NonSaslAuthStartEvent

- java.lang.Object
- - tigase.jaxmpp.core.client.eventbus.Event<H>
  - - tigase.jaxmpp.core.client.eventbus.JaxmppEvent<NonSaslAuthModule.NonSaslAuthStartHandler>
    - - tigase.jaxmpp.core.client.xmpp.modules.auth.NonSaslAuthModule.NonSaslAuthStartHandler.NonSaslAuthStartEvent

- Enclosing interface:
    NonSaslAuthModule.NonSaslAuthStartHandler

      public static class NonSaslAuthModule.NonSaslAuthStartHandler.NonSaslAuthStartEvent
      extends JaxmppEvent<NonSaslAuthModule.NonSaslAuthStartHandler>

- - ### Field Summary

    - ### Fields inherited from class tigase.jaxmpp.core.client.eventbus.JaxmppEvent

      `sessionObject`

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `NonSaslAuthStartEvent(SessionObject sessionObject, IQ iq)`

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `void` | `dispatch(NonSaslAuthModule.NonSaslAuthStartHandler handler)` Invokes handlers method.
    `IQ` | `getIq()`
    `void` | `setIq(IQ iq)`

    - ### Methods inherited from class tigase.jaxmpp.core.client.eventbus.JaxmppEvent

      `getSessionObject`

    - ### Methods inherited from class tigase.jaxmpp.core.client.eventbus.Event

      `getSource`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### NonSaslAuthStartEvent

          public NonSaslAuthStartEvent(SessionObject sessionObject,
                                       IQ iq)

  - ### Method Detail

    - #### dispatch

          public void dispatch(NonSaslAuthModule.NonSaslAuthStartHandler handler)

      Description copied from class: `Event`
      Invokes handlers method.
      Specified by:
        `dispatch` in class `Event<NonSaslAuthModule.NonSaslAuthStartHandler>`
      Parameters:
        `handler` - handler

    - #### getIq

          public IQ getIq()

    - #### setIq

          public void setIq(IQ iq)

Copyright © 2006–2020 Tigase. All rights reserved.